Subject: Re: [PATCH] Increase snd/rcv buffers in pppoe

From: "David S. Miller" <[email-masked]>
Date: Sun, 22 Feb 2004 23:26:01 -0800

On 23 Feb 2004 00:47:50 +0100
Andi Kleen <[email-masked]> wrote:

> I noticed that a 64bit kernel only downloads half as fast over a PPPoE DSL
> connection than a 32bit kernel on the same hardware. The reason seems
> to be that PPPoE uses the default 64K snd/rcv buffers at socket creation.
> The bigger sk_buff header size on the 64bit kernel pushed
> the buffer into being too small and preventing good throughput.

I have no problem with this, but hey while we're at it why not do the same
for the core defaults instead?  I see no real harm in this at all as it's
not a pppoe specific issue.

What say you Andi?